# -------------------------------------------------------------------------- #
#
# Copyright (C) 1991-2013 Altera Corporation
# Your use of Altera Corporation's design tools, logic functions 
# and other software and tools, and its AMPP partner logic 
# functions, and any output files from any of the foregoing 
# (including device programming or simulation files), and any 
# associated documentation or information are expressly subject 
# to the terms and conditions of the Altera Program License 
# Subscription Agreement, Altera MegaCore Function License 
# Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by 
# Altera or its authorized distributors.  Please refer to the 
# applicable agreement for further details.
#
# -------------------------------------------------------------------------- #
#
# Quartus II 64-Bit
# Version 13.0.1 Build 232 06/12/2013 Service Pack 1 SJ Web Edition
# Date created = 10:46:23  October 14, 2013
#
# -------------------------------------------------------------------------- #



set_global_assignment -name FAMILY "Cyclone IV E"
set_global_assignment -name DEVICE EP4CE22F17C8
set_global_assignment -name TOP_LEVEL_ENTITY top
set_global_assignment -name ORIGINAL_QUARTUS_VERSION "13.0 SP1"
set_global_assignment -name PROJECT_CREATION_TIME_DATE "10:46:23  OCTOBER 14, 2013"
set_global_assignment -name LAST_QUARTUS_VERSION "13.0 SP1"
set_global_assignment -name PROJECT_OUTPUT_DIRECTORY output_files
set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
set_global_assignment -name MAX_CORE_JUNCTION_TEMP 85
set_global_assignment -name DEVICE_FILTER_SPEED_GRADE 8
set_global_assignment -name ERROR_CHECK_FREQUENCY_DIVISOR 1


set_location_assignment PIN_E1 -to clock_50_i

set_location_assignment PIN_C6 -to sdram_ad_o[12]
set_location_assignment PIN_C8 -to sdram_ad_o[11]
set_location_assignment PIN_A10 -to sdram_ad_o[10]
set_location_assignment PIN_C9 -to sdram_ad_o[9]
set_location_assignment PIN_C11 -to sdram_ad_o[8]
set_location_assignment PIN_C14 -to sdram_ad_o[7]
set_location_assignment PIN_D11 -to sdram_ad_o[6]
set_location_assignment PIN_D12 -to sdram_ad_o[5]
set_location_assignment PIN_D14 -to sdram_ad_o[4]
set_location_assignment PIN_A12 -to sdram_ad_o[3]
set_location_assignment PIN_B11 -to sdram_ad_o[2]
set_location_assignment PIN_A11 -to sdram_ad_o[1]
set_location_assignment PIN_B10 -to sdram_ad_o[0]
set_location_assignment PIN_D9 -to sdram_ba_o[1]
set_location_assignment PIN_E9 -to sdram_ba_o[0]
set_location_assignment PIN_A7 -to sdram_cas_o
set_location_assignment PIN_A15 -to sdram_cke_o
set_location_assignment PIN_B14 -to sdram_clk_o
set_location_assignment PIN_E8 -to sdram_cs_o
set_location_assignment PIN_D3 -to sdram_da_io[15]
set_location_assignment PIN_C3 -to sdram_da_io[14]
set_location_assignment PIN_D5 -to sdram_da_io[13]
set_location_assignment PIN_D6 -to sdram_da_io[12]
set_location_assignment PIN_B12 -to sdram_da_io[11]
set_location_assignment PIN_A13 -to sdram_da_io[10]
set_location_assignment PIN_B13 -to sdram_da_io[9]
set_location_assignment PIN_A14 -to sdram_da_io[8]
set_location_assignment PIN_B6 -to sdram_da_io[7]
set_location_assignment PIN_A5 -to sdram_da_io[6]
set_location_assignment PIN_B5 -to sdram_da_io[5]
set_location_assignment PIN_A4 -to sdram_da_io[4]
set_location_assignment PIN_B4 -to sdram_da_io[3]
set_location_assignment PIN_A3 -to sdram_da_io[2]
set_location_assignment PIN_B3 -to sdram_da_io[1]
set_location_assignment PIN_A2 -to sdram_da_io[0]
set_location_assignment PIN_E11 -to sdram_dqm_o[1]
set_location_assignment PIN_A6 -to sdram_dqm_o[0]
set_location_assignment PIN_D8 -to sdram_ras_o
set_location_assignment PIN_B7 -to sdram_we_o

set_location_assignment PIN_P16 -to vga_r_o[0]
set_location_assignment PIN_P14 -to vga_r_o[1]
set_location_assignment PIN_R16 -to vga_r_o[2]
set_location_assignment PIN_R14 -to vga_r_o[3]
set_location_assignment PIN_R13 -to vga_r_o[4]

set_location_assignment PIN_E10 -to vga_g_o[0]
set_location_assignment PIN_L14 -to vga_g_o[1]
set_location_assignment PIN_L16 -to vga_g_o[2]
set_location_assignment PIN_L15 -to vga_g_o[3]
set_location_assignment PIN_N16 -to vga_g_o[4]

set_location_assignment PIN_D16 -to vga_b_o[0]
set_location_assignment PIN_F16 -to vga_b_o[1]
set_location_assignment PIN_T11 -to vga_b_o[2]
set_location_assignment PIN_F13 -to vga_b_o[3]
set_location_assignment PIN_K15 -to vga_b_o[4]

set_location_assignment PIN_B16 -to vga_hsync_n_o
set_location_assignment PIN_C16 -to vga_vsync_n_o

set_location_assignment PIN_N15 -to ps2_clk_io
set_location_assignment PIN_N12 -to ps2_data_io
set_location_assignment PIN_J15 -to ps2_mouse_clk_io
set_location_assignment PIN_J16 -to ps2_mouse_data_io



set_location_assignment PIN_L13 -to dac_l_o
set_location_assignment PIN_F9 -to dac_r_o
set_location_assignment PIN_P15 -to mic_o
set_location_assignment PIN_N14 -to ear_i

set_location_assignment PIN_R8 -to btn_n_i[2]
set_location_assignment PIN_T8 -to btn_n_i[1]

set_location_assignment PIN_P6 -to sd_cs_n_o
set_location_assignment PIN_L1 -to sd_miso_i
set_location_assignment PIN_L8 -to sd_mosi_o
set_location_assignment PIN_K5 -to sd_sclk_o


set_location_assignment PIN_T13 -to joy1_down_io
set_location_assignment PIN_N6 -to joy2_right_io
set_location_assignment PIN_N8 -to joy2_left_io
set_location_assignment PIN_M7 -to joy2_p8_io
set_location_assignment PIN_T10 -to joy2_up_io
set_location_assignment PIN_M6 -to joy2_p7_io
set_location_assignment PIN_P8 -to joy2_p6_io
set_location_assignment PIN_P9 -to joy2_down_io
set_location_assignment PIN_F15 -to aud_i2s
set_location_assignment PIN_J13 -to aud_sck
set_location_assignment PIN_G15 -to aud_ws
set_location_assignment PIN_C15 -to hdmi_pclk
set_location_assignment PIN_K16 -to hdmi_rst
set_location_assignment PIN_J14 -to hdmi_scl
set_location_assignment PIN_F14 -to hdmi_sda
set_location_assignment PIN_D15 -to hdmi_de
set_location_assignment PIN_T9 -to esp_tx_i
set_location_assignment PIN_M1 -to hdmi_int
set_location_assignment PIN_P11 -to esp_rx_o
set_location_assignment PIN_T12 -to joy1_p6_io
set_location_assignment PIN_R10 -to joy1_p8_io
set_location_assignment PIN_T15 -to joy1_left_io
set_location_assignment PIN_T14 -to joy1_p7_io
set_location_assignment PIN_N9 -to joy1_right_io
set_location_assignment PIN_R12 -to joy1_up_io
set_location_assignment PIN_R9 -to sd_sw_i
set_location_assignment PIN_F2 -to slot_SLOT1_o
set_location_assignment PIN_F3 -to slot_SLOT2_o
set_location_assignment PIN_B1 -to slot_SLOT3_o
set_location_assignment PIN_G1 -to slot_WAIT_i
set_location_assignment PIN_J1 -to slot_WR_o
set_location_assignment PIN_D1 -to slot_CS1_o
set_location_assignment PIN_C2 -to slot_CS2_o
set_location_assignment PIN_E6 -to slot_BUSDIR_i
set_location_assignment PIN_E7 -to slot_M1_o
set_location_assignment PIN_F8 -to slot_MREQ_o
set_location_assignment PIN_L3 -to slot_RD_o
set_location_assignment PIN_K1 -to slot_RESET_io
set_location_assignment PIN_L4 -to slot_IOREQ_o
set_location_assignment PIN_F1 -to slot_INT_i
set_location_assignment PIN_M16 -to dip_i[8]
set_location_assignment PIN_M15 -to dip_i[7]
set_location_assignment PIN_B8 -to dip_i[6]
set_location_assignment PIN_A8 -to dip_i[5]
set_location_assignment PIN_A9 -to dip_i[4]
set_location_assignment PIN_B9 -to dip_i[3]
set_location_assignment PIN_E15 -to dip_i[2]
set_location_assignment PIN_E16 -to dip_i[1]
set_location_assignment PIN_R11 -to slot_CLOCK_o
set_location_assignment PIN_G2 -to slot_RFSH_i
set_location_assignment PIN_R5 -to slot_A_o[14]
set_location_assignment PIN_T4 -to slot_A_o[13]
set_location_assignment PIN_R4 -to slot_A_o[12]
set_location_assignment PIN_L7 -to slot_A_o[11]
set_location_assignment PIN_K2 -to slot_A_o[10]
set_location_assignment PIN_J2 -to slot_A_o[9]
set_location_assignment PIN_G5 -to slot_A_o[15]
set_location_assignment PIN_T3 -to slot_A_o[8]
set_location_assignment PIN_R3 -to slot_A_o[7]
set_location_assignment PIN_N5 -to slot_A_o[6]
set_location_assignment PIN_T7 -to slot_A_o[4]
set_location_assignment PIN_R7 -to slot_A_o[3]
set_location_assignment PIN_T6 -to slot_A_o[2]
set_location_assignment PIN_R6 -to slot_A_o[1]
set_location_assignment PIN_T5 -to slot_A_o[0]
set_location_assignment PIN_N11 -to slot_A_o[5]
set_location_assignment PIN_N1 -to slot_D_io[1]
set_location_assignment PIN_N2 -to slot_D_io[0]
set_location_assignment PIN_P1 -to slot_D_io[3]
set_location_assignment PIN_P2 -to slot_D_io[2]
set_location_assignment PIN_T2 -to slot_D_io[4]
set_location_assignment PIN_R1 -to slot_D_io[5]
set_location_assignment PIN_P3 -to slot_D_io[6]
set_location_assignment PIN_N3 -to slot_D_io[7]
set_location_assignment PIN_M10 -to slot_DATA_DIR_o
set_location_assignment PIN_L2 -to slot_DATA_OE_o


set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_clk_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_data_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_mouse_clk_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_mouse_data_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to sd_miso_i



set_global_assignment -name USE_CONFIGURATION_DEVICE ON
set_global_assignment -name CYCLONEII_RESERVE_NCEO_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name RESERVE_ASDO_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name STRATIX_DEVICE_IO_STANDARD "3.3-V LVTTL"
set_global_assignment -name EDA_SIMULATION_TOOL "ModelSim-Altera (VHDL)"
set_global_assignment -name EDA_OUTPUT_DATA_FORMAT VHDL -section_id eda_simulation
set_global_assignment -name EDA_GENERATE_FUNCTIONAL_NETLIST ON -section_id eda_simulation
set_global_assignment -name EDA_TEST_BENCH_ENABLE_STATUS TEST_BENCH_MODE -section_id eda_simulation
set_global_assignment -name EDA_NATIVELINK_SIMULATION_TEST_BENCH sdram_vhd_tst -section_id eda_simulation
set_global_assignment -name EDA_TEST_BENCH_NAME sdram_vhd_tst -section_id eda_simulation
set_global_assignment -name EDA_DESIGN_INSTANCE_NAME NA -section_id sdram_vhd_tst
set_global_assignment -name EDA_TEST_BENCH_MODULE_NAME sdram_vhd_tst -section_id sdram_vhd_tst
set_global_assignment -name EDA_TEST_BENCH_FILE simulation/modelsim/sdram.vht -section_id sdram_vhd_tst
set_global_assignment -name POWER_PRESET_COOLING_SOLUTION "23 MM HEAT SINK WITH 200 LFPM AIRFLOW"
set_global_assignment -name POWER_BOARD_THERMAL_MODEL "NONE (CONSERVATIVE)"
set_global_assignment -name OPTIMIZE_HOLD_TIMING "ALL PATHS"
set_global_assignment -name OPTIMIZE_MULTI_CORNER_TIMING ON
set_global_assignment -name FITTER_EFFORT "FAST FIT"
set_global_assignment -name PARTITION_NETLIST_TYPE SOURCE -section_id Top
set_global_assignment -name PARTITION_FITTER_PRESERVATION_LEVEL PLACEMENT_AND_ROUTING -section_id Top
set_global_assignment -name PARTITION_COLOR 16764057 -section_id Top
set_global_assignment -name CYCLONEII_OPTIMIZATION_TECHNIQUE BALANCED
set_global_assignment -name SYNTH_TIMING_DRIVEN_SYNTHESIS ON
set_global_assignment -name SEED 4

set_global_assignment -name GENERATE_RBF_FILE ON
set_global_assignment -name CRC_ERROR_OPEN_DRAIN OFF
set_global_assignment -name OUTPUT_IO_TIMING_NEAR_END_VMEAS "HALF VCCIO" -rise
set_global_assignment -name OUTPUT_IO_TIMING_NEAR_END_VMEAS "HALF VCCIO" -fall
set_global_assignment -name OUTPUT_IO_TIMING_FAR_END_VMEAS "HALF SIGNAL SWING" -rise
set_global_assignment -name OUTPUT_IO_TIMING_FAR_END_VMEAS "HALF SIGNAL SWING" -fall
set_global_assignment -name CYCLONEIII_CONFIGURATION_SCHEME "ACTIVE SERIAL"
set_global_assignment -name ON_CHIP_BITSTREAM_DECOMPRESSION OFF
set_global_assignment -name FORCE_CONFIGURATION_VCCIO OFF


set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy1_down_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy2_up_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy2_right_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy2_p8_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy2_p7_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy2_p6_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy2_left_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy2_down_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy1_up_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy1_right_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy1_p8_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy1_p7_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy1_p6_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to joy1_left_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to hdmi_scl
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to hdmi_sda
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to slot_RD_o
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to slot_WR_o
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to slot_M1_o
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to slot_MREQ_o
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to slot_IOREQ_o
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to slot_WAIT_i
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to slot_INT_i
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to slot_RFSH_i
set_global_assignment -name CYCLONEIII_CONFIGURATION_DEVICE EPCS64
set_global_assignment -name RESERVE_FLASH_NCE_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name RESERVE_DATA0_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name RESERVE_DATA1_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name RESERVE_DCLK_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_b_o[4]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_b_o[3]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_b_o[2]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_b_o[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_b_o[0]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_g_o[4]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_g_o[3]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_g_o[2]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_g_o[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_g_o[0]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_r_o[4]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_r_o[3]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_r_o[2]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_r_o[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to vga_r_o[0]
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to vga_hsync_n_o
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to vga_vsync_n_o
set_instance_assignment -name CURRENT_STRENGTH_NEW "MINIMUM CURRENT" -to dac_l_o
set_instance_assignment -name CURRENT_STRENGTH_NEW "MINIMUM CURRENT" -to dac_r_o
set_instance_assignment -name IO_STANDARD "3.3-V LVCMOS" -to dac_l_o
set_instance_assignment -name IO_STANDARD "3.3-V LVCMOS" -to dac_r_o
set_global_assignment -name VHDL_FILE "../../MSX-SM/midi.vhd"
set_global_assignment -name SYSTEMVERILOG_FILE ../../opl3/opl3seq.sv
set_global_assignment -name SYSTEMVERILOG_FILE ../../opl3/opl3fm.sv
set_global_assignment -name SYSTEMVERILOG_FILE ../../opl3/opl3.sv
set_global_assignment -name VERILOG_FILE ../../opl3/NextZ80Reg.v
set_global_assignment -name VERILOG_FILE ../../opl3/NextZ80CPU.v
set_global_assignment -name VERILOG_FILE ../../opl3/NextZ80ALU.v
set_global_assignment -name SYSTEMVERILOG_FILE ../../opl3/compressor.sv
set_global_assignment -name VERILOG_FILE "../../MSX-SM/i2s.v"
set_global_assignment -name VHDL_FILE "../../MSX-SM/wifi.vhd"
set_global_assignment -name VHDL_FILE "../../MSX-SM/iplrom.vhd"
set_global_assignment -name VHDL_FILE "../../MSX-SM/UART.vhd"
set_global_assignment -name VERILOG_FILE "../../MSX-SM/i2c.v"
set_global_assignment -name SYSTEMVERILOG_FILE "../../MSX-SM/hdmi_config.sv"
set_global_assignment -name VHDL_FILE "../../MSX-SM/fifo.vhd"
set_global_assignment -name SDC_FILE constrains.sdc
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vencode.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_wait_control.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_vga.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_text12.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_ssg.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_sprite.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_spinforam.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_register.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_package.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_ntsc_pal.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_linebuf.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_interrupt.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_hvcounter.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_graphic4567.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_graphic123m.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_doublebuf.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_command.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp_colordec.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/video/vdp.vhd"
set_global_assignment -name VHDL_FILE top.vhd
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/psg/psg_wave.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/psg/psg.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/scc/scc_wave.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/scc/megaram.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/voicerom.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/voicememory.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/vm2413.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/temporalmixer.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/slotcounter.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/sinetable.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/registermemory.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/phasememory.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/phasegenerator.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/outputmemory.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/outputgenerator.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/opll.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/operator.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/lineartable.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/feedbackmemory.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/envelopememory.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/envelopegenerator.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/controller.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/vm2413/attacktable.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/opll/eseopll.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/filter/tapram.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/filter/esefir5.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/lpf/lpf.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/cpu/t80a.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/cpu/t80_reg.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/cpu/t80_pack.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/cpu/t80_mcode.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/cpu/t80_alu.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/cpu/t80.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/peripheral/systemtimer.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/peripheral/swioports.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/peripheral/rtc.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/peripheral/ram.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/peripheral/megasd.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/peripheral/mapper.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/peripheral/keymap.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/peripheral/kanji.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/peripheral/eseps2.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/sound/dac/esepwm.vhd"
set_global_assignment -name VHDL_FILE "../../ocm-pld/esemsx3/src/emsx_top.vhd"
set_global_assignment -name QIP_FILE pll.qip
set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top